/*
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 */
package com.sun.glassfish.dasrecovery;

import org.jvnet.hk2.annotations.Contract;
import org.glassfish.api.admin.AdminCommandContext;

/**
 * This is a contract which will be used by the Timer
 * to create backups
 * The BackupManager invokes the local backup command backup-domain to backup
 * on a suspended DAS and resume the DAS based on the value of the active-backup-enabled attribute.
 * If active-backup-enabled is true an automatic backup will occur without first
 * quiesceing the DAS.
 * Once the backup is done it will resume the DAS
 * @author Bhakti Mehta
 */
@Contract
public interface BackupManager {

    public void backup(BackupConfig bc, AdminCommandContext context) ;

}
