/*
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 */

package com.sun.glassfish.dasrecovery;


import com.sun.enterprise.universal.i18n.LocalStringsImpl;
import com.sun.enterprise.admin.util.ColumnFormatter;

/**
 * Common class for formatting schedule output
 *
 * @author Chris Kasso
 *
 */


public class ScheduleFormatter {

    private static final LocalStringsImpl strings =
            new LocalStringsImpl(ScheduleFormatter.class);

    private final String NAME= strings.get("schedule.list.nameofschedule");
    private final String SECOND = strings.get("schedule.list.second");
    private final String MINUTE = strings.get("schedule.list.minute");
    private final String HOUR = strings.get("schedule.list.hour");
    private final String DAY_OF_WEEK = strings.get("schedule.list.dayofweek");
    private final String DAY_OF_MONTH = strings.get("schedule.list.dayofmonth");
    private final String MONTH_OF_YEAR = strings.get("schedule.list.monthofyear");
    private final String YEAR = strings.get("schedule.list.year");

    public ColumnFormatter cf;
 
 
    public ScheduleFormatter() {
        String[] headings = new String[]{NAME, SECOND, MINUTE, HOUR, DAY_OF_WEEK, DAY_OF_MONTH, MONTH_OF_YEAR, YEAR };

        cf = new ColumnFormatter(headings);
    }

    public void formatSchedule(Schedule sched) {
        
        if (sched == null) 
            return;

        cf.addRow(new Object[] {
                sched.getName(),
                sched.getSecond(),
                sched.getMinute(),
                sched.getHour(),
                sched.getDayOfWeek(),
                sched.getDayOfMonth(),
                sched.getMonth(),
                sched.getYear(),
        });
        return;
    }

    @Override
    public String toString() {
        return cf.toString();
    }
}
