/*
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 */

package com.sun.glassfish.dasrecovery;

import org.glassfish.api.admin.config.ConfigExtension;

import org.jvnet.hk2.config.Attribute;
import org.jvnet.hk2.config.Element;
import org.jvnet.hk2.config.Configured;
import org.jvnet.hk2.config.DuckTyped;

import java.util.List;


/**
 * Schedules configuration.  This defines a schedules element which holds a
 * list of Schedule elements.
 *
 * @author Chris Kasso
 *
 */


@Configured
public interface Schedules extends ConfigExtension {

    //XXX: @Element() results in a "schedules" element being created.
    @Element("schedule")
    public List<Schedule> getSchedules();

    /**
     * Return the schedule with the given name, or null if no such sched exists.
     *   
     * @param   name    the name of the schedule
     * @return          the Schedule object, or null if no such config
     */  
    @DuckTyped
    public Schedule getScheduleByName(String name);

    class Duck {
        public static Schedule getScheduleByName(Schedules scheds, String name) {
            if (name == null || scheds == null) {
                return null;
            }
            for (Schedule sched : scheds.getSchedules()) {
                if (sched.getName().equals(name)) {
                    return sched;
                }
            }    
            return null;
        }
    }    
}
