/*
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 */

package com.sun.glassfish.dasrecovery;

public class TimerScheduleException extends java.lang.RuntimeException {

    /**
     * Constructs an TimerScheduleException with no detail message.
     */
    public TimerScheduleException() {
    }

    /**
     * Constructs an TimerScheduleException with the specified
     * detailed message.
     */
    public TimerScheduleException(String message) {
        super(message);
    }

    /**
     * Constructs an TimerScheduleException that embeds the originally 
     * thrown exception.
     */
    public TimerScheduleException(Exception  ex) {
        super(ex);
    }

    /**
     * Constructs an TimerScheduleException that embeds the originally 
     * thrown exception with the specified detail message.
     */
    public TimerScheduleException(String message, Exception  ex) {
        super(message, ex);
    }


    /**
     * Obtain the exception that caused the TimerScheduleException to be thrown.
     * It is recommended that the inherited Throwable.getCause() method
     * be used to retrieve the cause instead of this method.
     */
    public Exception getCausedByException() {
            return (Exception) getCause();
    }

}

